<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_AccountInfoTemplates.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_AccountInfoTemplates" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="module.css" type="text/css" rel="styleshet">

<asp:Panel ID="_pnlAccountInfoTemplatesList" runat="server">
    <table>
        <tr>
            <td>
                <asp:ListBox ID="_lbxAccountInfoTemplates" runat="server" CssClass="Normal" Height="150" Width="150"
                    DataTextField="Text" DataValueField="Value" />
            </td>
            <td>
                <dnn:commandbutton id="_cmdNewAccountInfoTemplate" runat="server" resourcekey="_cmdNewAccountInfoTemplate"
                    CssClass="CommandButton" imageurl="~/images/add.gif" /><br /><br />
                <dnn:commandbutton id="_cmdEditAccountInfoTemplate" runat="server" resourcekey="_cmdEditAccountInfoTemplate"
                    CssClass="CommandButton" imageurl="~/images/edit.gif" /><br /><br />
                <dnn:commandbutton id="_cmdDeleteAccountInfoTemplate" runat="server" resourcekey="_cmdDeleteAccountInfoTemplate"
                    CssClass="CommandButton" imageurl="~/images/delete.gif" />
            </td>
        </tr>
    </table>
</asp:Panel>


<asp:Panel ID="_pnlAccountInfoTemplateEditor" runat="server" Visible="false">
    <table>
        <tr>
            <td rowspan="2">
                <asp:Label ID="_lblAccountInfoTemplateFields" runat="server" CssClass="Normal" />
            </td>
            <td>
                <dnn:Label ID="lblAccountInfoTemplateSubject" runat="server" ControlName="_txbAccountInfoTemplateSubject" ResourceKey="lblAccountInfoTemplateSubject" 
                    CssClass="normal" />
                <asp:TextBox ID="_txbAccountInfoTemplateSubject" CssClass="NormalTextBox" runat="server" Width="500" /><br />
                <asp:RequiredFieldValidator ID="valAccountInfoTemplateSubject" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpAccountInfoTemplate"
                    CssClass="NormalRed" runat="server" ControlToValidate="_txbAccountInfoTemplateSubject" Display="Dynamic" />
                
                <dnn:Label ID="lblAccountInfoTemplateContent" runat="server" ControlName="_txeAccountInfoTemplateContent" ResourceKey="lblAccountInfoTemplateContent" 
                    CssClass="normal" />
                <dnn:TextEditor ID="_txeAccountInfoTemplateContent" runat="server" Width="500" Height="350" />
            </td>
        </tr>
        <tr>
            <td align="center">
                <dnn:Label ID="lblAccountInfoTemplateName" runat="server" ControlName="_txbAccountInfoTemplateName" ResourceKey="lblAccountInfoTemplateName" 
                    CssClass="normal" />
                <asp:TextBox ID="_txbAccountInfoTemplateName" CssClass="NormalTextBox" runat="server" Width="150" />
                <asp:RequiredFieldValidator ID="valAccountInfoTemplateName" resourcekey="Reqiued.ErrorMessage" ValidationGroup="grpAccountInfoTemplate"
                    CssClass="NormalRed" runat="server" ControlToValidate="_txbAccountInfoTemplateName" Display="Dynamic" />
                &nbsp;&nbsp;
                <asp:LinkButton ID="_lnkSaveAccountInfoTemplate" resourcekey="_lnkSaveAccountInfoTemplate" runat="server" CssClass="Normal" 
                    ValidationGroup="grpAccountInfoTemplate" />&nbsp;&nbsp;
                <asp:LinkButton ID="_lnkCancelAccountInfoTemplate" resourcekey="_lnkCancelAccountInfoTemplate" runat="server" CssClass="Normal" />
            </td>
        </tr>
    </table>
</asp:Panel>
