<%@ Control Language="c#" CodeBehind="UMS_AdvScheduleLog.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.UMS_AdvScheduleLog"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="ASEdit" TagName="ASEditor" Src="UMS_ASEdit.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="True" UpdateMode="Always">
    <contenttemplate>
        
        <asp:Panel ID="_pnlList" runat="server">
            <table>
                <tr>
                    <td>
                        <dnn:label id="lblScheduleLog" runat="server" cssclass="NormalBold" Suffix=":" />
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <dnn:commandbutton class="CommandButton" id="_cmdRefresh" resourcekey="_cmdRefresh" 
                           imageUrl="~/DesktopModules/DNNMasters.UMS/images/refresh-icon.png" 
                           runat="server" text="Refresh"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:GridView ID="_grdScheduleLog" runat="server" AutoGenerateColumns="false" DataKeyNames="ScheduleId"
                            CssClass="UMS_Grid" HeaderStyle-CssClass="UMS_GridHeader" PagerStyle-CssClass="UMS_PagerHeader" Width="600px"
                            PagerSettings-Position="Bottom" PageSize="10" AllowPaging="true" cellpadding="5" cellspacing="0" >
                        <emptydatatemplate>
                            <asp:Label ID="lblLogEmpty" resourcekey="lblLogEmpty" runat="server" CssClass="Normal" />
                        </emptydatatemplate> 
                            <Columns>
                                <asp:TemplateField HeaderText="Operation">
                                    <ItemTemplate>
                                        <asp:Label ID="lblOperation" CssClass="Normal" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>

                                <asp:BoundField DataField="NextStart" HeaderText="Next Start" />
                                <asp:BoundField DataField="Enabled" HeaderText="Enabled" />
                                <asp:TemplateField HeaderText="Delete">
                                    <ItemTemplate>
                                        <asp:ImageButton ID="imbDelete" runat="server" CommandName="DeleteLog"
                                            ImageUrl="~/images/delete.gif"
                                            CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ScheduleId").ToString() %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Edit">
                                    <ItemTemplate>
                                        <asp:ImageButton ID="_imbEdit" runat="server" CommandName="EditLog"
                                            ImageUrl="~/images/edit.gif"
                                            CommandArgument='<%# DataBinder.Eval(Container.DataItem,"ScheduleId").ToString() %>' />
                                    </ItemTemplate>
                                </asp:TemplateField>

                            </Columns>
                            <PagerStyle CssClass="Qnn_PagerHeader" />
                        </asp:GridView>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="_pnlEdit" runat="server" Visible="false">
            <asp:HiddenField runat="server" ID="_hfScheduleID" />
            <table>
                <tr>
                    <td>
                        <asedit:aseditor id="ctlASEdit" runat="server" AllowDisable="true"></asedit:aseditor>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <asp:LinkButton ID="_lnkUpdate" resourcekey="_lnkUpdate" CssClass="CommandButton" runat="server" />
                        &nbsp;&nbsp;&nbsp;
                        <asp:LinkButton ID="_lnkCancel" resourcekey="_lnkCancel" CssClass="CommandButton" runat="server" CausesValidation="true" />
                    </td>
                </tr>
            </table>
            
        </asp:Panel>

</contenttemplate>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <progresstemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </progresstemplate>
</asp:UpdateProgress>