<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_AuditSettings.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_AuditSettings" %>


<link href="\DesktopModules\DNNMasters.UMS\Lib\DataTables\DataTables-1.10.16\css\jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<script src="\DesktopModules\DNNMasters.UMS\Lib\DataTables\DataTables-1.10.16\js\jquery.dataTables.js"></script>
<script type="text/javascript">
    jQuery(function ($) {
        $('#tabs-opt').dnnTabs();

        var setupModule = function () {
            $('#panels-demo').dnnPanels();
            $('#panels-demo .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-demo'
            });
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>


<script type="text/javascript">
    function get_ddlAuditPortal() {
        return <%=_ddlAuditPortal.ClientID%>;
    }
    $(document).ready(function () {
        
        var UMSRolesAuditDataTable = $('#UMSRolesAuditDataTable').DataTable({
            "processing": true,
            "serverSide": true,
            contentType: 'application/json',
            "ajax": {
                url: "/DesktopModules/DNNMasters.UMS/API/UMS/GetRolesAudit",
                type: "GET",
                data: function (d) {

                    d.auditPortal = $(get_ddlAuditPortal()).val();

                },
                contentType: 'application/json',
                dataType: "json",
            }

        });
        var UMSProfileAuditDataTable = $('#UMSProfileAuditDataTable').DataTable({

            "processing": true,
            "serverSide": true,
            contentType: 'application/json',
            "ajax": {
                url: "/DesktopModules/DNNMasters.UMS/API/UMS/GetProfilesAudit",
                type: "GET",
                data: function (d) {

                    d.auditPortal = $(get_ddlAuditPortal()).val();

                },
                contentType: 'application/json',
                dataType: "json",
            }

        });
        var UMSUserAuditTable = $('#UMSuserAuditDataTable').DataTable({
            
            "processing": true,
            "serverSide": true,
            contentType: 'application/json',
            
            "ajax": {
                url: "/DesktopModules/DNNMasters.UMS/API/UMS/GetUsersAudit",
                type: "GET",
                data: function (d) {
                    
                    d.auditPortal = $(get_ddlAuditPortal()).val();
                    // d.custom = $('#myInput').val();
                    // etc
                },
                contentType: 'application/json',
                dataType: "json",
                //dataSrc: function (json) {//without this parse datatables tries to read fields from string and crashes
                //    json = JSON.parse(json);
                //    return json.data;
                //}
            }

        });
        UMSUserAuditTable.on('xhr', function () {
            var json = JSON.parse(UMSUserAuditTable.ajax.json());
            $('#totals').text(json.totals)
        });
    });
    jQuery(function ($) {
        var setupModule = function () {
            $('#panels-settings').dnnPanels();
            $('#panels-settings .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-settings'
            });
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>

<table style="margin-top: 25px; margin-bottom: 25px;">
    <tr>
        <td style="width: 279px" class="Normal">
            <dnn:label id="lblEnableAudit" resource="lblEnableAudit" controlname=""
                suffix=":" runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:Button ID="_cmdEnableAudit" runat="server" CssClass="NormalTextBox"
                Text="Button" />
        </td>
    </tr>
</table>

<asp:Panel ID="_pnlFormAudit" runat="server">

    <div class="dnnForm" id="panels-settings">
        <div class="dnnFormExpandContent">
            <a href="">Expand All</a>
        </div>
        <h2 id="DatabaseSettings" class="dnnFormSectionHead">
            <a href="#">Users Audit Settings</a></h2>
        <fieldset class="dnnClear">
            <div class="dnnFormMessage dnnFormInfo">
                <asp:Label ID="lblUsersAuditSettinesInfo" runat="server" resourcekey="lblUsersAuditSettinesInfo" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblUsersPortal" />
                <asp:DropDownList ID="_ddlUsersPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableFirstName" />
                <asp:CheckBox ID="_chkEnableFirstName" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableLastName" />
                <asp:CheckBox ID="_chkEnableLastName" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableDisplayName" />
                <asp:CheckBox ID="_chkEnableDisplayName" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableEmail" />
                <asp:CheckBox ID="_chkEnableEmail" runat="server" />
            </div>
            <asp:LinkButton ID="_lnkUpdateUsersAuditSettings" runat="server" CssClass="dnnPrimaryAction" Text="Save" />
        </fieldset>
        <h2 id="FilesSettings" class="dnnFormSectionHead">
            <a href="#">Profile Audit Settings</a></h2>
        <fieldset class="dnnClear">
            <div class="dnnFormMessage dnnFormInfo">
                <asp:Label ID="lblProfileAuditSettingsInfo" runat="server" resourcekey="lblProfileAuditSettingsInfo" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblProfilePortal" />
                <asp:DropDownList ID="_ddlProfilePortal" runat="server" AutoPostBack="true"></asp:DropDownList>
            </div>
            <div class="dnnFormItem">
                <asp:CheckBoxList ID="_chkProfile" runat="server" TextAlign="Right" RepeatLayout="Table" RepeatColumns="3">
                </asp:CheckBoxList>
            </div>
            <asp:LinkButton ID="_lnkProfileUsersAuditSettings" runat="server" CssClass="dnnPrimaryAction" Text="Save" />

        </fieldset>
        <h2 id="GlobalSettings" class="dnnFormSectionHead">
            <a href="#">Role Audit Settings</a></h2>
        <fieldset class="dnnClear">
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblRolesPortal" />
                <asp:DropDownList ID="_ddlRolesPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableAddUserRole" />
                <asp:CheckBox ID="_chkEnableAddUserRole" runat="server" />
            </div>
            <div class="dnnFormItem">
                <dnn:Label runat="server" ID="lblEnableDeleteUserRole" />
                <asp:CheckBox ID="_chkEnableDeleteUserRole" runat="server" />
            </div>
            <asp:LinkButton ID="_lnkRoleAuditSettingsUpdate" runat="server" CssClass="dnnPrimaryAction" Text="Save" />
        </fieldset>
    </div>
</asp:Panel>

<div class="dnnForm">
    <fieldset class="dnnClear">

        <div class="dnnFormItem">
            <dnn:Label runat="server" ID="lblAuditPortal" />
            <asp:DropDownList ID="_ddlAuditPortal" runat="server" AutoPostBack="true"></asp:DropDownList>
        </div>
    </fieldset>
</div>
<div class="dnnForm" id="tabs-opt">
    <ul class="dnnAdminTabNav">
        <li><a href="#UserAudit">Users Audit</a></li>
        <li><a href="#ProfileAudit">Profile Audit</a></li>
        <li><a href="#RoleAudit">Role Audit</a></li>
    </ul>
    <div id="UserAudit" class="dnnClear">

        <table id="UMSuserAuditDataTable" class="display" cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th class="text-center">Username</th>
                    <th class="text-center">FieldName</th>
                    <th class="text-center">FieldValueOld</th>
                    <th class="text-center">FieldValueNew</th>
                    <th class="text-center">LastModifiedByUsername</th>
                    <th class="text-center">LastModifiedOnDate</th>
                </tr>
            </thead>
        </table>
        <%--<dnnweb:dnngrid ID="dgUsers" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <pagerstyle mode="NextPrevAndNumeric"></pagerstyle>
            <mastertableview  DataKeyNames="AuditUserId">
				<Columns>
                    <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
                    <dnnweb:DnnGridBoundColumn DataField="FieldName"  HeaderText="FieldName"/>
					<dnnweb:DnnGridBoundColumn HeaderText="FieldValueOld" DataField="FieldValueOld"  />
					<dnnweb:DnnGridBoundColumn HeaderText="FieldValueNew" DataField="FieldValueNew" />
					<dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />
					<dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />						        
                    
				</Columns>
				<NoRecordsTemplate>
					<asp:Label ID="lblNoRecords" runat="server" resourcekey="NoUsers" />
				</NoRecordsTemplate>
			</mastertableview>
        </dnnweb:dnngrid>--%>
    </div>
    <div id="ProfileAudit" class="dnnClear">
        <table id="UMSProfileAuditDataTable" class="display" cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th class="text-center">Username</th>
                    <th class="text-center">PropertyName</th>
                    <th class="text-center">PropertyValueOld</th>
                    <th class="text-center">PropertyValueNew</th>
                    <th class="text-center">LastModifiedByUsername</th>
                    <th class="text-center">LastModifiedOnDate</th>
                </tr>
            </thead>
        </table>
        <%--<dnnweb:DnnGrid ID="dgProfiles" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
            <HeaderStyle CssClass="dnnGridHeader" VerticalAlign="Top" />
            <MasterTableView>
                <Columns>
                    <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
                    <dnnweb:DnnGridBoundColumn HeaderText="PropertyName" DataField="PropertyName" />
                    <dnnweb:DnnGridBoundColumn HeaderText="PropertyValueOld" DataField="PropertyValueOld" />
                    <dnnweb:DnnGridBoundColumn HeaderText="PropertyValueNew" DataField="PropertyValueNew" />
                    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />
                    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />
                </Columns>
                <NoRecordsTemplate>
                    <asp:Label ID="Label1" runat="server" resourcekey="NoProfiles" />
                </NoRecordsTemplate>
            </MasterTableView>
        </dnnweb:DnnGrid>--%>
    </div>
    <div id="RoleAudit" class="dnnClear">
        <table id="UMSRolesAuditDataTable" class="display" cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th class="text-center">Username</th>
                    <th class="text-center">roleName</th>
                    <th class="text-center">IsRoleAdded</th>
                    <th class="text-center">LastModifiedOnDate</th>
                    <th class="text-center">LastModifiedByUsername</th>
                </tr>
            </thead>
        </table>
        <%--<dnnweb:DnnGrid ID="dgRoles" runat="server" AutoGenerateColumns="false" AllowPaging="True" AllowCustomPaging="true"
            PageSize="25" ShowHeader="true" AllowFilteringByColumn="true" AllowSorting="True">
            <PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
            <HeaderStyle CssClass="dnnGridHeader" VerticalAlign="Top" />
            <MasterTableView>
                <Columns>
                    <dnnweb:DnnGridBoundColumn HeaderText="Username" DataField="Username" />
                    <dnnweb:DnnGridBoundColumn HeaderText="roleName" DataField="roleName" />
                    <dnnweb:DnnGridBoundColumn HeaderText="IsRoleAdded" DataField="IsRoleAdded" />
                    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedOnDate" DataField="LastModifiedOnDate" />
                    <dnnweb:DnnGridBoundColumn HeaderText="LastModifiedByUsername" DataField="LastModifiedByUsername" />

                </Columns>
                <NoRecordsTemplate>
                    <asp:Label ID="Label2" runat="server" resourcekey="NoRoles" />
                </NoRecordsTemplate>
            </MasterTableView>
        </dnnweb:DnnGrid>--%>

    </div>
</div>
